export declare type TErrorCode =
  | 'ADDRESS.COUNTRY.INVALID'
  | 'ADDRESS.PARAMETERS.INVALID_CHARACTER'
  | 'ADDRESS.PARAMETERS.INVALID'
  | 'ADDRESS.VERIFICATION.FAILURE'
  | 'ADDRESS.VERIFICATION.INVALID'
  | 'ADDRESS.VERIFICATION.NOT_FOUND'
  | 'ADDRESS.VERIFY.CARRIER_INVALID'
  | 'ADDRESS.VERIFY.FAILURE'
  | 'ADDRESS.VERIFY.INTL_NOT_ENABLED'
  | 'ADDRESS.VERIFY.MISSING_CITY_STATE_ZIP'
  | 'ADDRESS.VERIFY.MISSING_STREET'
  | 'ADDRESS.VERIFY.ONLY_US'
  | 'ADDRESS.VERIFY.UNAVAILABLE'
  | 'ADDRESS.VERIFY.UPSTREAM_UNAVAILABLE'
  | 'BAD_REQUEST'
  | 'BANK_ACCOUNT.CHARGE.FAILURE'
  | 'BANK_ACCOUNT.VERIFY.FAILURE'
  /**
   * The typo "FORAMT" is in both the docs and api error response.
   * @link https://github.com/EasyPost/easypost-node/pull/156#discussion_r819811282
   */
  | 'BATCH.FILE_FORAMT.INVALID'
  | 'BATCH.PARAMS.INVALID'
  | 'BATCH.SHIPMENT.MISSING'
  | 'BATCH.SHIPMENT.TOO_LARGE'
  | 'BATCH.SHIPMENTS.REQUIRED'
  | 'BATCH.STATE.ALREADY_PURCHASED'
  | 'BATCH.STATE.CREATING'
  | 'BATCH.STATE.CREATION_FAILED'
  | 'BATCH.STATE.NOT_PURCHASED'
  | 'CARRIER_ACCOUNT.INVALID'
  | 'CARRIER_ACCOUNT.PARAMETERS.INVALID'
  | 'CARRIER_ACCOUNT.REGISTRATION.FAILED'
  | 'CARRIER_ACCOUNT.TYPE.EXISTS'
  | 'CARRIER_ACCOUNT.TYPE.UNKNOWN'
  | 'CONTAINER.DIMENSION.REQUIRED'
  | 'CONTAINER.NAME.REQUIRED'
  | 'CONTAINER.TYPE.INVALID'
  | 'CREDIT_CARD.CHARGE.FAILURE'
  | 'CREDIT_CARD.INVALID'
  | 'CUSTOMS_INFO.PARAMETERS.INVALID'
  | 'CUSTOMS_ITEM.CURRENCY.ONE_CURRENCY_SUPPORTED'
  | 'CUSTOMS_ITEM.ORIGIN_COUNTRY.REQUIRED'
  | 'CUSTOMS_ITEM.PARAMETERS.INVALID'
  | 'DATE.PARSE.FAILURE'
  | 'DHLGM.ACCESS_TOKEN.GENERATION_FAILED'
  | 'DHLGM.GIRTH_MAX'
  | 'DHLGM.LABEL.FAILURE'
  | 'DHLGM.LETTER_NOT_SUPPORTED'
  | 'DHLGM.NO_ALCOHOL'
  | 'DHLGM.NO_INTERNATIONAL'
  | 'DHLGM.RATE_TABLE.NOT_FOUND'
  | 'DHLGM.RETURN.AUTHORIZATION_NUMBER_REQUIRED'
  | 'DHLGM.SCAN_FORM.GENERATION_FAILED'
  | 'DOCUMENT.COMMERCIAL_INVOICE.FAILURE'
  | 'DOCUMENT.CONVERSION.FAILURE'
  | 'EMAIL_VERIFICATION.EXPIRED'
  | 'EMAIL_VERIFICATION.NOT_FOUND'
  | 'EMAIL_VERIFICATION.USED'
  | 'FORBIDDEN'
  | 'IMAGE.CONVERSION.FAILURE'
  | 'IMAGE.WIDTH.INVALID'
  | 'INSURANCE.AMOUNT.ABOVE_MAXIMUM'
  | 'INSURANCE.AMOUNT.BELOW_MINIMUM'
  | 'INSURANCE.AMOUNT.REQUIRED'
  | 'INSURANCE.CREATE.FAILURE'
  | 'INSURANCE.PARAMETERS.INVALID'
  | 'INSURANCE.PURCHASE.FAILED'
  | 'INSURANCE.PURCHASE.NOT_ALLOWED'
  | 'INTERNAL_SERVER_ERROR'
  | 'ITEM.HEIGHT.REQUIRED'
  | 'ITEM.LENGTH.REQUIRED'
  | 'ITEM.NAME.REQUIRED'
  | 'ITEM.VALUE.REQUIRED'
  | 'ITEM.WEIGHT.REQUIRED'
  | 'ITEM.WIDTH.REQUIRED'
  | 'MODE.CONFLICT'
  | 'MODE.UNAUTHORIZED'
  | 'NOT_ACCEPTABLE'
  | 'NOT_FOUND'
  | 'ORDER.CARRIER_ACCOUNTS.CONFLICT'
  | 'ORDER.CARRIER.REQUIRED'
  | 'ORDER.FROM_ADDRESS.REQUIRED'
  | 'ORDER.INVALID'
  | 'ORDER.LABEL_DATE.INVALID'
  | 'ORDER.OPTIONS.INVALID'
  | 'ORDER.PARAMS.REQUIRED'
  | 'ORDER.RATE.UNAVAILABLE'
  | 'ORDER.SERVICE.REQUIRED'
  | 'ORDER.SHIPMENTS.REQUIRED'
  | 'ORDER.TO_ADDRESS.REQUIRED'
  | 'PARAMETER.FORBIDDEN'
  | 'PARAMETER.REQUIRED'
  | 'PARCEL.PARAMETERS.INVALID'
  | 'PARCEL.PREDEFINED_PACKAGE.INVALID'
  | 'PAYMENT_GATEWAY.ERROR'
  | 'PAYMENT_REQUIRED'
  | 'PICKUP.ADDRESS.INVALID'
  | 'PICKUP.ADDRESS.REQUIRED'
  | 'PICKUP.BATCH_CARRIER.INCONSISTENT'
  | 'PICKUP.BATCH.INVALID'
  | 'PICKUP.BATCH.REQUIRED'
  | 'PICKUP.BUY.FAILED'
  | 'PICKUP.BUY.FORBIDDEN'
  | 'PICKUP.BUY.NO_MATCHING_RATES'
  | 'PICKUP.CANCEL.FAILED'
  | 'PICKUP.CARRIER.REQUIRED'
  | 'PICKUP.IS_ACCOUNT_ADDRESS.REQUIRED'
  | 'PICKUP.MAX_DATETIME.REQUIRED'
  | 'PICKUP.MIN_DATETIME.REQUIRED'
  | 'PICKUP.REQUEST.INVALID'
  | 'PICKUP.SERVICE.REQUIRED'
  | 'PICKUP.SHIPMENT_COUNTRY.INVALID'
  | 'PICKUP.SHIPMENT_SERVICE.INVALID'
  | 'PICKUP.STATUS.INVALID'
  | 'REFUND.FAILURE'
  | 'REFUND.NO_RESPONSE'
  | 'REFUND.TRACKING_CODE.NOT_FOUND'
  | 'REFUND.TRACKING_CODES.INVALID'
  | 'SCAN_FORM.BATCH.MULTIPLE_CARRIERS'
  | 'SCAN_FORM.BATCH.NOT_PURCHASED'
  | 'SCAN_FORM.CREATE.CARRIER_NOT_SUPPORTED'
  | 'SCAN_FORM.CREATE.FAILURE'
  | 'SCAN_FORM.FAILURE'
  | 'SCAN_FORM.SHIPMENTS.INVALID'
  | 'SCAN_FORM.SHIPMENTS.REQUIRED'
  | 'SHIPMENT_REPORT.ALREADY_IN_PROGRESS'
  | 'SHIPMENT_REPORT.DATE_RANGE.INVALID'
  | 'SHIPMENT_REPORT.DATE_RANGE.TOO_LONG'
  | 'SHIPMENT.CARRIER_ACCOUNTS.CONFLICT'
  | 'SHIPMENT.CUSTOMS_INFO.DESCRIPTION_REQUIRED'
  | 'SHIPMENT.CUSTOMS_INFO.REQUIRED'
  | 'SHIPMENT.INSURANCE.ALREADY_PURCHASED'
  | 'SHIPMENT.INVALID_PARAMS'
  | 'SHIPMENT.INVALID'
  | 'SHIPMENT.MISSING_INFORMATION'
  | 'SHIPMENT.MISSING_RATE'
  | 'SHIPMENT.OPTIONS.INVALID'
  | 'SHIPMENT.POSTAGE.ASCII'
  | 'SHIPMENT.POSTAGE.EXISTS'
  | 'SHIPMENT.POSTAGE.FAILURE'
  | 'SHIPMENT.POSTAGE.FORMAT_UNAVAILABLE'
  | 'SHIPMENT.POSTAGE.INVALID_FORMAT'
  | 'SHIPMENT.POSTAGE.NO_RESPONSE'
  | 'SHIPMENT.POSTAGE.REQUIRED'
  | 'SHIPMENT.PURCHASE.FAILURE'
  | 'SHIPMENT.PURCHASE.IN_PROGRESS'
  | 'SHIPMENT.RATE.BARCODE_UNAVAILABLE'
  | 'SHIPMENT.RATE.CARRIER_ACCOUNT_INVALID'
  | 'SHIPMENT.RATE.STAMP_UNAVAILABLE'
  | 'SHIPMENT.RATES.UNAVAILABLE'
  | 'SHIPMENT.REFUND.FAILURE'
  | 'SHIPMENT.REFUND.UNAVAILABLE'
  | 'SHIPMENT.TRACKING_CODE.INVALID_CARRIER'
  | 'TRACKER.CARRIER_CODE_MISMATCH'
  | 'TRACKER.CREATE.ERROR'
  | 'TRACKER.INVALID_PARAMS'
  | 'TRACKER.INVALID_TEST_CODE'
  | 'TRACKER.MULTIPLE_CARRIERS_FOR_CODE'
  | 'TRACKER.NO_CARRIER_ACCOUNT'
  | 'TRACKER.NO_CARRIER_FOR_CODE'
  | 'TRACKER.NOT_FOUND'
  | 'TRACKER.RETRIEVE.ERROR'
  | 'TRACKER.RUN.ERROR'
  | 'TRACKER.UNSUPPORTED_CARRIER'
  | 'UNAUTHORIZED'
  | 'USER.CHARGE.NOT_ALLOWED'
  | 'USER.INVALID'
  | 'USER.PARENT.INVALID'
  | 'USER.UNAUTHORIZED'
  | 'WEBHOOK.EVENT.INVALID'
  | 'WEBHOOK.INVALID';
